/*
* Prefixed by https://autoprefixer.github.io
* PostCSS: v8.4.14,
* Autoprefixer: v10.4.7
* Browsers: last 4 version
*/

:root {
  --link-default: #196a00;
  --link-visited: #06767e;
  --dark-grey: #2b2b2b;
  --active-link: #aaa70b;
  --buttonbgcolor: #357b70;
  --white: white;
  --buttonsecondarybg: #e0b354;
  --buttonsecondaryfg: #2b2b2b;
  --buttonthreebg: #357b70;
}* 

{
    -webkit-box-sizing: border-box;
            box-sizing: border-box;
  }

body {
    font-family: 'Lato', sans-serif;
    font-weight: 400;
    font-size: 16px;
    line-height: 1.6;
  }
  
  h1 {
    font-size: 30px;
    font-weight: 700;
  }
  
  h2 {
    font-size: 24px;
    font-weight: 700;
  }
  
  h3 {
    font-size: 18px;
    font-weight: 700;
  }
  a {
    color: var(--link-default);
  }

  a:visited {
    color: var(--link-visted);
  }
    
  a:hover, a:focus {
    text-decoration: none;
  }

  a:active {
    color: var(--active-link);
  }
  
  button {
    border: none;
    font-family: inherit;
    background-color: var(--buttonbgcolor);
    color: var(--white);
    text-decoration: none;
    padding: 10px;
    border-radius: 3px;
    border-bottom: 2px solid rgba(0, 0, 0, 0.3);
  }

    button:hover, button:focus {
        cursor: pointer;
        opacity: 0.8;
  }

      .button__secondary {
        background-color: var(--buttonsecondarybg);
        color: var(--buttonsecondaryfg);
      }

  .button, button {
    border: none;
    display: inline-block;
    font-family: inherit;
    background-color: var(--buttonthreebg);
    color: var(--white);
    text-decoration: none;
    padding: 10px;
    border-radius: 3px;
    border-bottom: 2px solid rgba(0, 0, 0, 0.3);
    -webkit-transition: opacity 0.2s;
    -o-transition: opacity 0.2s;
    transition: opacity 0.2s;
  }

  .navigation-list__item--active {
    text-decoration: none;
  }

  .profile__portrait {
    float: left;
    width: 250px;
    margin-right: 40px;
    border-radius: 50%
  }

  .page-footer {
    clear: both;
  }

  .profile {
    max-width: 700px;
    margin: 0 auto;
  }

  .page-footer {
    clear: both;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    text-align: center;
}

.page-header {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    width: 100%;
    padding: 20px;
  }

  .page-header__item {
    -webkit-box-flex: 0;
        -ms-flex: 0 1 200px;
            flex: 0 1 200px;
  }

  .page-header__item:last-child {
    -webkit-box-flex: 1;
        -ms-flex-positive: 1;
            flex-grow: 1;
    text-align: right;
  }

  .navigation-list {
    list-style-type: none;
  }

  .navigation-list li {
    display: inline-block;
    margin-left: 15px;
  }

/* start grid fallback */
.grid__item {
  display: inline-block;
  width: 33%;
 }
 /* end grid fallback */
 
 @supports (display: grid) {
  .grid {
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: 1fr 20px 1fr 20px 1fr;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 20px;
    margin: 0;
 
  }
  .grid__item {
    background-color: lightgray;
    width: auto;
    min-height: auto;
    margin: 0;
  }
  .grid__item:last-child {
    -ms-grid-column: 3;
    grid-column: 3 / 3;
    -ms-grid-row: 1;
    -ms-grid-row-span: 2;
    grid-row: 1 / 3;
  }
}

@media all and (max-width: 500px) {
  .grid {
    -ms-grid-columns: 1fr;
    grid-template-columns: 1fr;
  }
}
@media all and (min-width: 500px) and (max-width: 750px){
  .grid {
    -ms-grid-columns: 1fr 20px 1fr;
    grid-template-columns: 1fr 1fr;
  }
}
@media all and (max-width: 750px) {
  .grid {
    grid-gap: 10px;
  }
  .grid__item:last-child {
    grid-column: auto / auto;
    grid-row: auto / auto;
  }
  h1 {
    font-size: 22px;
  }
}